

# dataseries.js

**dataseries.js** is a JavaScript data series modeling library.<br>
Copyright (c) 2013 Martin Walter <martin.walter@gmail.com>.<br>
This script is freely distributable under the terms of the MIT license.

## Modules

### <a href="ds.functions">ds.functions</a>

- <a href="ds.functions#wiki-cos">cos</a>

- <a href="ds.functions#wiki-cubic">cubic</a>

- <a href="ds.functions#wiki-exp">exp</a>

- <a href="ds.functions#wiki-identity">identity</a>

- <a href="ds.functions#wiki-linear">linear</a>

- <a href="ds.functions#wiki-log">log</a>

- <a href="ds.functions#wiki-polynomial">polynomial</a>

- <a href="ds.functions#wiki-sin">sin</a>

- <a href="ds.functions#wiki-square">square</a>

### <a href="ds.generators">ds.generators</a>

- <a href="ds.generators#wiki-f">f</a>

### <a href="ds.initialize">ds.initialize</a>

- <a href="ds.initialize#wiki-initialize">initialize</a>

### <a href="ds.normalize">ds.normalize</a>

- <a href="ds.normalize#wiki-normalize">normalize</a>

### <a href="ds.predicates">ds.predicates</a>

- <a href="ds.predicates#wiki-isArrayOf">isArrayOf</a>

- <a href="ds.predicates#wiki-isDate">isDate</a>

- <a href="ds.predicates#wiki-isFunction">isFunction</a>

- <a href="ds.predicates#wiki-isInteger">isInteger</a>

- <a href="ds.predicates#wiki-isNegativeInteger">isNegativeInteger</a>

- <a href="ds.predicates#wiki-isNegativeNumber">isNegativeNumber</a>

- <a href="ds.predicates#wiki-isNumber">isNumber</a>

- <a href="ds.predicates#wiki-isPositiveInteger">isPositiveInteger</a>

- <a href="ds.predicates#wiki-isPositiveNumber">isPositiveNumber</a>

### <a href="ds.random">ds.random</a>

- <a href="ds.random#wiki-rand">rand</a>

### <a href="ds.range">ds.range</a>

- <a href="ds.range#wiki-range">range</a>

### <a href="ds.time">ds.time</a>

- <a href="ds.time#wiki-DAY">DAY</a>

- <a href="ds.time#wiki-HOUR">HOUR</a>

- <a href="ds.time#wiki-MINUTE">MINUTE</a>

- <a href="ds.time#wiki-MONTH">MONTH</a>

- <a href="ds.time#wiki-SECOND">SECOND</a>

- <a href="ds.time#wiki-WEEK">WEEK</a>

- <a href="ds.time#wiki-YEAR">YEAR</a>

- <a href="ds.time#wiki-range">range</a>

### <a href="ds.transforms">ds.transforms</a>

- <a href="ds.transforms#wiki-pair">pair</a>

- <a href="ds.transforms#wiki-point">point</a>

### <a href="ds.utils">ds.utils</a>

- <a href="ds.utils#wiki-hash">hash</a>

- <a href="ds.utils#wiki-hashObject">hashObject</a>

### <a href="ds.visitors">ds.visitors</a>

- <a href="ds.visitors#wiki-breadthFirst">breadthFirst</a>

- <a href="ds.visitors#wiki-depthFirst">depthFirst</a>

## Generators

### <a href="FunctionDataSeriesGenerator">FunctionDataSeriesGenerator</a>

- <a href="FunctionDataSeriesGenerator#wiki-call">call</a>

- <a href="FunctionDataSeriesGenerator#wiki-filter">filter</a>

- <a href="FunctionDataSeriesGenerator#wiki-inputs">inputs</a>

- <a href="FunctionDataSeriesGenerator#wiki-time">time</a>

- <a href="FunctionDataSeriesGenerator#wiki-transform">transform</a>

- <a href="FunctionDataSeriesGenerator#wiki-values">values</a>

