

# dataseries.js

**dataseries.js** is a JavaScript data series modeling library.<br>
Copyright (c) 2013 Martin Walter <martin.walter@gmail.com>.<br>
This script is freely distributable under the terms of the MIT license.

## Modules

### <a href="ds.functions.html">ds.functions</a>

- <a href="ds.functions.html#cos">cos</a>

- <a href="ds.functions.html#cubic">cubic</a>

- <a href="ds.functions.html#exp">exp</a>

- <a href="ds.functions.html#identity">identity</a>

- <a href="ds.functions.html#linear">linear</a>

- <a href="ds.functions.html#log">log</a>

- <a href="ds.functions.html#polynomial">polynomial</a>

- <a href="ds.functions.html#sin">sin</a>

- <a href="ds.functions.html#square">square</a>

### <a href="ds.generators.html">ds.generators</a>

- <a href="ds.generators.html#f">f</a>

### <a href="ds.initialize.html">ds.initialize</a>

- <a href="ds.initialize.html#initialize">initialize</a>

### <a href="ds.normalize.html">ds.normalize</a>

- <a href="ds.normalize.html#normalize">normalize</a>

### <a href="ds.predicates.html">ds.predicates</a>

- <a href="ds.predicates.html#isArrayOf">isArrayOf</a>

- <a href="ds.predicates.html#isDate">isDate</a>

- <a href="ds.predicates.html#isFunction">isFunction</a>

- <a href="ds.predicates.html#isInteger">isInteger</a>

- <a href="ds.predicates.html#isNegativeInteger">isNegativeInteger</a>

- <a href="ds.predicates.html#isNegativeNumber">isNegativeNumber</a>

- <a href="ds.predicates.html#isNumber">isNumber</a>

- <a href="ds.predicates.html#isPositiveInteger">isPositiveInteger</a>

- <a href="ds.predicates.html#isPositiveNumber">isPositiveNumber</a>

### <a href="ds.random.html">ds.random</a>

- <a href="ds.random.html#rand">rand</a>

### <a href="ds.range.html">ds.range</a>

- <a href="ds.range.html#range">range</a>

### <a href="ds.time.html">ds.time</a>

- <a href="ds.time.html#DAY">DAY</a>

- <a href="ds.time.html#HOUR">HOUR</a>

- <a href="ds.time.html#MINUTE">MINUTE</a>

- <a href="ds.time.html#MONTH">MONTH</a>

- <a href="ds.time.html#SECOND">SECOND</a>

- <a href="ds.time.html#WEEK">WEEK</a>

- <a href="ds.time.html#YEAR">YEAR</a>

- <a href="ds.time.html#range">range</a>

### <a href="ds.transforms.html">ds.transforms</a>

- <a href="ds.transforms.html#pair">pair</a>

- <a href="ds.transforms.html#point">point</a>

### <a href="ds.utils.html">ds.utils</a>

- <a href="ds.utils.html#hash">hash</a>

- <a href="ds.utils.html#hashObject">hashObject</a>

### <a href="ds.visitors.html">ds.visitors</a>

- <a href="ds.visitors.html#breadthFirst">breadthFirst</a>

- <a href="ds.visitors.html#depthFirst">depthFirst</a>

## Generators

### <a href="FunctionDataSeriesGenerator.html">FunctionDataSeriesGenerator</a>

- <a href="FunctionDataSeriesGenerator.html#call">call</a>

- <a href="FunctionDataSeriesGenerator.html#filter">filter</a>

- <a href="FunctionDataSeriesGenerator.html#inputs">inputs</a>

- <a href="FunctionDataSeriesGenerator.html#time">time</a>

- <a href="FunctionDataSeriesGenerator.html#transform">transform</a>

- <a href="FunctionDataSeriesGenerator.html#values">values</a>

